summaryrefslogtreecommitdiffstats
path: root/ipa-server/ipa-gui/ipa_webgui.init
diff options
context:
space:
mode:
Diffstat (limited to 'ipa-server/ipa-gui/ipa_webgui.init')
-rw-r--r--ipa-server/ipa-gui/ipa_webgui.init79
1 files changed, 79 insertions, 0 deletions
diff --git a/ipa-server/ipa-gui/ipa_webgui.init b/ipa-server/ipa-gui/ipa_webgui.init
new file mode 100644
index 000000000..e603f9f2a
--- /dev/null
+++ b/ipa-server/ipa-gui/ipa_webgui.init
@@ -0,0 +1,79 @@
+#!/bin/sh
+#
+# ipa_webgui This starts and stops ipa_webgui
+#
+# chkconfig: - 36 64
+# description: ipa_webgui IPA Web User Interface
+# processname: /usr/sbin/ipa_webgui
+# configdir: /etc/sysconfig/ipa_webgui
+#
+
+# Source function library.
+if [ -f /etc/rc.d/init.d/functions ] ; then
+. /etc/rc.d/init.d/functions
+fi
+# Source networking configuration.
+if [ -f /etc/sysconfig/network ] ; then
+. /etc/sysconfig/network
+fi
+
+# Check that networking is up.
+if [ "${NETWORKING}" = "no" ]
+then
+ echo "Networking is down"
+ exit 0
+fi
+
+NAME="ipa_webgui"
+PROG="/usr/sbin/ipa_webgui"
+RUNAS="apache"
+
+start() {
+ echo -n $"Starting $NAME: "
+ daemon --user $RUNAS $PROG
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/ipa_webgui || \
+ RETVAL=1
+ return $RETVAL
+}
+
+stop() {
+ echo -n $"Shutting down $NAME: "
+ killproc $NAME
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ipa_webgui
+ return $RETVAL
+}
+
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ status $PROG
+ ;;
+ restart)
+ restart
+ ;;
+ condrestart)
+ [ -f /var/lock/subsys/ipa_webgui ] && restart || :
+ ;;
+ reload)
+ exit 3
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart}"
+ exit 2
+esac
+
+exit $?